<template class="center">
  <div class="front-page-container">
    <div class="center main-section">
      <h1 class="popup-title">Image service interface</h1>
      <el-row :gutter="20">
        <el-col>
          <router-link :to="{name: 'stocks'}" class="router-link">
            <image-type-component></image-type-component>
          </router-link>
        </el-col>
        <el-col>
          <users-image-component></users-image-component>
        </el-col>
        <el-col>
          <general-image-component></general-image-component>
        </el-col>
      </el-row>
    </div>
  </div>
</template>

<script>
import ImageTypeComponent from "@/components/ImageType/StockImageComponent";
import UsersImageComponent from "@/components/ImageType/UsersImageComponent";
import GeneralImageComponent from "@/components/ImageType/GeneralImageComponent";
export default {
  name: "TheFrontPage",
  components: {GeneralImageComponent, UsersImageComponent, ImageTypeComponent}
}
</script>

<style scoped>
.el-col{
  flex: 0;
  margin-top: 10px;
}

.popup-title{
  color: var(--el-color-primary);
  font-size: 40px;
}

.router-link{
  text-decoration: none;
}

.el-row:hover{
  cursor: pointer;
}

.front-page-container{
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.main-section{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.center{
  margin: 0 auto 0;
}

@media only screen and (max-width: 450px) {
  .popup-title{
    font-size: 30px;
  }
}

@media only screen and (max-width: 350px) {
  .popup-title{
    font-size: 20px;
  }
}
</style>